org.wildfly.swarm.mod_cluster

## Class ModclusterFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Modcluster<ModclusterFraction>
      - - org.wildfly.swarm.mod_cluster.ModclusterFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<ModclusterFraction>

      public class ModclusterFraction
      extends Modcluster<ModclusterFraction>
      implements Fraction<ModclusterFraction>

  Author:
    Stuart Douglas
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Modcluster

      `Modcluster.ModclusterResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModclusterFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModclusterFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static ModclusterFraction` | `createDefaultFraction()`
    `String` | `multicastAddress()`
    `ModclusterFraction` | `multicastAddress(String address)`
    `int` | `multicastPort()`
    `ModclusterFraction` | `multicastPort(int port)`
    `void` | `postConstruct()`

    - ### Methods inherited from class org.wildfly.swarm.config.Modcluster

      `addPropertyChangeListener, configurationModClusterConfig, configurationModClusterConfig, configurationModClusterConfig, configurationModClusterConfig, getKey, removePropertyChangeListener, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ModclusterFraction

          public ModclusterFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static ModclusterFraction createDefaultFraction()

    - #### postConstruct

          @PostConstruct
          public void postConstruct()

    - #### applyDefaults

          public ModclusterFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<ModclusterFraction>`
      Returns:
        this fraction.

    - #### multicastAddress

          public ModclusterFraction multicastAddress(String address)

    - #### multicastAddress

          public String multicastAddress()

    - #### multicastPort

          public ModclusterFraction multicastPort(int port)

    - #### multicastPort

          public int multicastPort()

Copyright © 2018 JBoss by Red Hat. All rights reserved.